Subject: bug#79149: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Aug 2025 19:04:02 +0000

Your bug report

#79149: EXWM doesn't launch from login screen anymore

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79149: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79149
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sat, 2 Aug 2025 21:02:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing - you have created a second bug report.

You can write to [email-masked] instead.

Andreas

Subject: Re: EXWM doesn't launch from login screen anymore
From: youganon <[email-masked]>
To: [email-masked]
Date: Sat, 2 Aug 2025 02:05:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

An update: I've mailed to help-guix list members, too.

Youganon

On Fri, Aug 1, 2025 at 10:47 PM youganon <[email-masked]> wrote:

> Hi,
>
> I'm an EXWM user on GuixSD. Lately I had the need to use adb (Android
> debugger), for which I modified my `config.scm` file. I removed the
> `%desktop-services` variable and instead modified it so that my phone
> device could be detected. This was done because I got a message that dbus
> (and udev sometimes) was being used by another service.
>
> Now, my phone is detected with adb, but I'm unable to use EXWM from the
> login screen at startup; it doesn't launch at all. When I choose
> "emacs-exwm" from the login screen options, I'm thrown back at login. (Xfce
> option works fine, however.)
>
> I would really appreciate if you could check my config.scm file attached
> help me to get EXWM from login screen back again.
>
> If this may be the wrong channel for this issue, please let me know the
> proper channel for this issue.
>
> Thank you.
>
> Youganon
>